Summary: Netscape Communicator internet browser, news reader, and mail client
Name: netscape-communicator
%define lname communicator
%define cname Communicator
Version: 4.76
%define srcver v476
Release: 1
Group: X11/Applications/Networking
Copyright: Commercial
Url: http://www.netscape.com
Packager: Hao Li <hli@wag.caltech.edu>
# Starting from v474 128 bit US version on kernel 2.2 is standard
Source: ftp://ftp.netscape.com/pub/communicator/english/%{version}/unix/supported/linux22/complete_install/%{lname}-%{srcver}-us.x86-unknown-linux2.2.tar.gz
Buildroot: /var/tmp/%{name}-root
ExclusiveArch: i386

%description
Netscape Communicator is the industry-leading web browser. It supports
the latest HTML standards, Java, and JavaScript. It also includes 
full-featured Usenet news reader as well as a complete email client.


%prep
%setup -c -q
mv    %{lname}*/* .
rmdir %{lname}*


%install
rm -rf $RPM_BUILD_ROOT
DESTDIR=$RPM_BUILD_ROOT/usr/lib/%{name}
mkdir -p $RPM_BUILD_ROOT/usr/bin $DESTDIR

# Expand *.nif
for i in *.nif; do tar -C $DESTDIR -zxf $i; done

# Move over *.jar
mv *.jar $DESTDIR/java/classes

# Remove executable and plugin dynamically linked against Motif
rm -f $DESTDIR/*dynMotif*

# Generate registry for ASD to work, and also move vreg over
eval `egrep ^BLDVERS ns-install`
echo "%{cname},$BLDVERS,/usr/lib/%{name}" > /tmp/infile
./vreg $DESTDIR/registry /tmp/infile
rm -f /tmp/infile
mv vreg $DESTDIR

# Generate wrapper script, and link
cat > $RPM_BUILD_ROOT/usr/bin/%{name} <<EOF
#!/bin/sh
MOZILLA_HOME=/usr/lib/%{name}
export MOZILLA_HOME
exec \$MOZILLA_HOME/netscape "\$@"
EOF
chmod 755 $RPM_BUILD_ROOT/usr/bin/%{name}
ln -s %{name} $RPM_BUILD_ROOT/usr/bin/%{lname}


%files
%defattr(-,root,root)
/usr/bin/%{lname}
/usr/bin/%{name}
/usr/lib/%{name}


%clean
rm -rf $RPM_BUILD_ROOT
